Index: trunk/examples/extended/electromagnetic/TestEm3/include/DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/DetectorConstruction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/DetectorConstruction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorConstruction.hh,v 1.13 2006/06/29 16:51:06 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/include/DetectorMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/DetectorMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/DetectorMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.hh,v 1.8 2006/06/29 16:51:08 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/include/EmAcceptance.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/EmAcceptance.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/EmAcceptance.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EmAcceptance.hh,v 1.4 2006/06/29 16:51:11 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/include/EventAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/EventAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/EventAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.hh,v 1.10 2006/06/29 16:51:14 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/include/EventActionMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/EventActionMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/EventActionMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.hh,v 1.3 2006/06/29 16:51:17 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/include/HistoManager.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/HistoManager.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/HistoManager.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoManager.hh,v 1.8 2007/11/12 17:04:55 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/include/HistoMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/HistoMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/HistoMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoMessenger.hh,v 1.5 2007/11/12 17:04:55 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/include/PhysListEmStandard.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/PhysListEmStandard.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/PhysListEmStandard.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysListEmStandard.hh,v 1.4 2006/06/29 16:51:42 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/include/PhysicsList.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/PhysicsList.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/PhysicsList.hh	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PhysicsList.hh,v 1.6 2006/06/29 16:51:58 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: PhysicsList.hh,v 1.8 2009/11/13 17:01:44 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -44,7 +44,7 @@
 class PhysicsList: public G4VModularPhysicsList
 {
-  public:
+public:
     PhysicsList();
-   ~PhysicsList();
+    virtual ~PhysicsList();
 
     void ConstructParticle();
Index: trunk/examples/extended/electromagnetic/TestEm3/include/PhysicsListMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/PhysicsListMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/PhysicsListMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsListMessenger.hh,v 1.3 2006/06/29 16:52:00 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/include/PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/PrimaryGeneratorAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/PrimaryGeneratorAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.hh,v 1.4 2006/06/29 16:52:03 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/include/PrimaryGeneratorMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/PrimaryGeneratorMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/PrimaryGeneratorMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorMessenger.hh,v 1.3 2006/06/29 16:52:05 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/include/RunAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/RunAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/RunAction.hh	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: RunAction.hh,v 1.18 2007/04/22 16:25:21 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: RunAction.hh,v 1.19 2008/05/29 16:59:27 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -56,5 +56,5 @@
 
   RunAction(DetectorConstruction*, PrimaryGeneratorAction*, HistoManager*);
-  virtual ~RunAction();
+  ~RunAction();
 
   void BeginOfRunAction(const G4Run*);
@@ -64,7 +64,7 @@
     
   void sumEnergyFlow(G4int plane, G4double Eflow)
-                                                 {EnergyFlow[plane]  += Eflow;};
+                                            {EnergyFlow[plane]  += Eflow;};
   void sumLateralEleak(G4int cell, G4double Eflow)
-                                                 {lateralEleak[cell] += Eflow;};
+                                            {lateralEleak[cell] += Eflow;};
     
   void PrintDedxTables();
Index: trunk/examples/extended/electromagnetic/TestEm3/include/RunActionMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/RunActionMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/RunActionMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: RunActionMessenger.hh,v 1.10 2007/04/22 16:25:21 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/include/StepMax.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/StepMax.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/StepMax.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMax.hh,v 1.7 2006/06/29 16:52:11 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/include/StepMaxMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/StepMaxMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/StepMaxMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMaxMessenger.hh,v 1.2 2006/06/29 16:52:13 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/include/SteppingAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/SteppingAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/SteppingAction.hh	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: SteppingAction.hh,v 1.8 2006/06/29 16:52:16 gunter Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: SteppingAction.hh,v 1.9 2008/03/14 15:40:03 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -52,5 +52,5 @@
     void UserSteppingAction(const G4Step*);
     
-    G4double BirkAttenuation(const G4Step*);
+    G4double BirksAttenuation(const G4Step*);
     
   private:
Index: trunk/examples/extended/electromagnetic/TestEm3/include/SteppingVerbose.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/SteppingVerbose.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/SteppingVerbose.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingVerbose.hh,v 1.5 2006/06/29 16:52:18 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //   This class manages the verbose outputs in G4SteppingManager. 
Index: trunk/examples/extended/electromagnetic/TestEm3/include/TrackingAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/TrackingAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/TrackingAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: TrackingAction.hh,v 1.2 2006/06/29 16:52:20 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/ionC12.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/ionC12.mac	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/ionC12.mac	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: ionC12.mac,v 1.10 2006/10/31 12:53:48 maire Exp $
+# $Id: ionC12.mac,v 1.11 2009/09/17 20:06:26 maire Exp $
 #
 # Macro file for "TestEm3.cc"
@@ -12,5 +12,5 @@
 #  select EM PhysicsList
 #
-/testem/phys/addPhysics  standard
+/testem/phys/addPhysics  local
 #
 /testem/phys/setCuts 1 mm
Index: trunk/examples/extended/electromagnetic/TestEm3/lhcb.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/lhcb.mac	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/lhcb.mac	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: lhcb.mac,v 1.3 2007/05/18 19:00:44 vnivanch Exp $
+# $Id: lhcb.mac,v 1.4 2009/09/17 20:06:26 maire Exp $
 #
 # Macro file for "TestEm3.cc" 
@@ -14,5 +14,5 @@
 /testem/det/setSizeYZ 20 cm
 #
-/testem/phys/addPhysics  emstandard
+/testem/phys/addPhysics  emstandard_opt0
 #
 /gun/particle e-
Index: trunk/examples/extended/electromagnetic/TestEm3/linac.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/linac.mac	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/linac.mac	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: linac.mac,v 1.5 2006/11/08 10:27:18 maire Exp $
+# $Id: linac.mac,v 1.6 2009/09/17 20:06:26 maire Exp $
 #
 # Macro file for "TestEm3" 
@@ -16,5 +16,5 @@
 /testem/det/setSizeYZ  30 cm
 #
-/testem/phys/addPhysics  standard
+/testem/phys/addPhysics  local
 /testem/phys/setCuts 10 um
 #
Index: trunk/examples/extended/electromagnetic/TestEm3/lockwood.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/lockwood.mac	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/lockwood.mac	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: lockwood.mac,v 1.5 2006/03/20 12:26:03 maire Exp $
+# $Id: lockwood.mac,v 1.6 2009/09/17 20:06:26 maire Exp $
 #
 # Macro file for "TestEm3.cc" 
@@ -11,6 +11,5 @@
 /run/verbose 2
 #
-###/testem/phys/addPhysics  g4v52
-/testem/phys/addPhysics  standard
+/testem/phys/addPhysics  local
 #
 /testem/det/setNbOfLayers 1
Index: trunk/examples/extended/electromagnetic/TestEm3/retrieveTables.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/retrieveTables.mac	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/retrieveTables.mac	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: retrieveTables.mac,v 1.4 2007/05/18 19:00:44 vnivanch Exp $
+# $Id: retrieveTables.mac,v 1.6 2009/09/17 20:06:26 maire Exp $
 #
 # Macro file for "exampleN03.cc"
@@ -10,8 +10,10 @@
 #  select EM PhysicsList
 #
-/testem/phys/addPhysics  emstandard
+/testem/phys/addPhysics  emstandard_opt0
 #
 /run/particle/retrievePhysicsTable physdata
 /run/initialize
+/process/eLoss/verbose 1
+/process/eLoss/CSDARange true
 #
 /gun/particle e-
Index: trunk/examples/extended/electromagnetic/TestEm3/run01.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/run01.mac	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/run01.mac	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: run01.mac,v 1.17 2006/10/31 12:53:48 maire Exp $
+# $Id: run01.mac,v 1.19 2009/09/17 20:06:26 maire Exp $
 #
 # Macro file for "exampleN03.cc" 
@@ -9,7 +9,7 @@
 /run/verbose 2
 #
-/testem/phys/addPhysics  standard
+/testem/phys/addPhysics  local
 #
-/testem/phys/setCuts 0.1 um
+/testem/phys/setCuts 100 um
 #
 /run/initialize
Index: trunk/examples/extended/electromagnetic/TestEm3/run02.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/run02.mac	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/run02.mac	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: run02.mac,v 1.15 2006/10/31 12:53:48 maire Exp $
+# $Id: run02.mac,v 1.16 2009/09/17 20:06:26 maire Exp $
 #
 # Macro file for "TestEm3.cc" 
@@ -9,5 +9,5 @@
 /run/verbose 2
 #
-/testem/phys/addPhysics  standard
+/testem/phys/addPhysics  local
 #
 /testem/det/setNbOfLayers 50
Index: trunk/examples/extended/electromagnetic/TestEm3/run07.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/run07.mac	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/run07.mac	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: run07.mac,v 1.12 2006/10/31 12:53:48 maire Exp $
+# $Id: run07.mac,v 1.13 2009/09/17 20:06:26 maire Exp $
 #
 # Macro file for "TestEm3.cc" 
@@ -9,5 +9,5 @@
 /run/verbose 2
 #
-/testem/phys/addPhysics  standard
+/testem/phys/addPhysics  local
 #
 /testem/det/setNbOfLayers 2
Index: trunk/examples/extended/electromagnetic/TestEm3/run08.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/run08.mac	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/run08.mac	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: run08.mac,v 1.9 2006/10/31 12:53:48 maire Exp $
+# $Id: run08.mac,v 1.10 2009/09/17 20:06:26 maire Exp $
 #
 # Macro file for "TestEm3.cc" 
@@ -9,5 +9,5 @@
 /run/verbose 2
 #
-/testem/phys/addPhysics  standard
+/testem/phys/addPhysics  local
 #
 /testem/phys/setCuts 1 mm
Index: trunk/examples/extended/electromagnetic/TestEm3/run15.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/run15.mac	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/run15.mac	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: run15.mac,v 1.15 2006/10/31 12:53:48 maire Exp $
+# $Id: run15.mac,v 1.16 2009/09/17 20:06:26 maire Exp $
 #
 # Macro file for "TestEm3.cc" 
@@ -9,5 +9,5 @@
 /run/verbose 2
 #
-/testem/phys/addPhysics  standard
+/testem/phys/addPhysics  local
 #
 /testem/det/setNbOfLayers 20
Index: trunk/examples/extended/electromagnetic/TestEm3/sicapo1.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/sicapo1.mac	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/sicapo1.mac	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: sicapo1.mac,v 1.4 2006/10/31 12:53:48 maire Exp $
+# $Id: sicapo1.mac,v 1.5 2009/09/17 20:06:26 maire Exp $
 #
 # Macro file for "TestEm3.cc" 
@@ -12,5 +12,5 @@
 /run/verbose 2
 #
-/testem/phys/addPhysics  standard
+/testem/phys/addPhysics  local
 #
 /testem/det/setNbOfLayers 15
Index: trunk/examples/extended/electromagnetic/TestEm3/sicapo2.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/sicapo2.mac	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/sicapo2.mac	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: sicapo2.mac,v 1.4 2006/10/31 12:53:48 maire Exp $
+# $Id: sicapo2.mac,v 1.5 2009/09/17 20:06:26 maire Exp $
 #
 # Macro file for "TestEm3.cc" 
@@ -12,5 +12,5 @@
 /run/verbose 2
 #
-/testem/phys/addPhysics  standard
+/testem/phys/addPhysics  local
 #
 /testem/det/setNbOfLayers 15
Index: trunk/examples/extended/electromagnetic/TestEm3/sicapo3.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/sicapo3.mac	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/sicapo3.mac	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: sicapo3.mac,v 1.5 2006/10/31 12:53:48 maire Exp $
+# $Id: sicapo3.mac,v 1.6 2009/09/17 20:06:26 maire Exp $
 #
 # Macro file for "TestEm3.cc" 
@@ -11,5 +11,5 @@
 /run/verbose 2
 #
-/testem/phys/addPhysics  standard
+/testem/phys/addPhysics  local
 #
 /testem/det/setNbOfLayers 10
Index: trunk/examples/extended/electromagnetic/TestEm3/src/DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/src/DetectorConstruction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/src/DetectorConstruction.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: DetectorConstruction.cc,v 1.20 2007/03/19 20:10:38 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: DetectorConstruction.cc,v 1.23 2009/03/04 18:49:17 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -105,4 +105,5 @@
   G4Element* H  = manager->FindOrBuildElement(1);
   G4Element* C  = manager->FindOrBuildElement(6);
+  G4Element* N  = manager->FindOrBuildElement(7);
   G4Element* O  = manager->FindOrBuildElement(8);
   G4Element* Si = manager->FindOrBuildElement(14);
@@ -164,4 +165,6 @@
   Sci->AddElement(C, natoms=9);
   Sci->AddElement(H, natoms=10);
+  
+  Sci->GetIonisation()->SetBirksConstant(0.126*mm/MeV);
 
   G4Material* Lct =
@@ -199,4 +202,11 @@
   BGO->AddElement(Bi, natoms= 4);
 
+  //SiNx
+  density= 3.1 *g/cm3;
+  G4Material* SiNx= new G4Material("SiNx", density, ncomponents=3);
+  SiNx-> AddElement(Si, 300);
+  SiNx-> AddElement(N, 310);
+  SiNx-> AddElement(H, 6);
+
   //
   // define gaseous materials using G4 NIST database 
@@ -205,5 +215,5 @@
   
   G4Material* Air = manager->FindOrBuildMaterial("G4_AIR");
-  manager->ConstructNewGasMaterial("Air20","G4_AIR",293.*kelvin, 1.*atmosphere);
+  manager->ConstructNewGasMaterial("Air20","G4_AIR",293.*kelvin,1.*atmosphere);
 
   G4Material* lAr = manager->FindOrBuildMaterial("G4_lAr");
@@ -242,5 +252,7 @@
                   kStateGas, temperature= 273*kelvin, pressure= 1*atmosphere);
   steam->AddMaterial(H2O, fractionmass=1.);
-
+  
+  new G4Material("ArgonGas", z=18, a=39.948*g/mole, density= 1.782*mg/cm3,
+		 kStateGas, 273.15*kelvin, 1*atmosphere);
   //
   // examples of vacuum
Index: trunk/examples/extended/electromagnetic/TestEm3/src/DetectorMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/src/DetectorMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/src/DetectorMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.cc,v 1.11 2006/06/29 16:52:26 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/src/EmAcceptance.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/src/EmAcceptance.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/src/EmAcceptance.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EmAcceptance.cc,v 1.6 2006/06/29 16:52:28 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/src/EventAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/src/EventAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/src/EventAction.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: EventAction.cc,v 1.15 2007/04/22 16:25:21 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: EventAction.cc,v 1.16 2008/05/29 16:59:27 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -71,6 +71,7 @@
   //initialize EnergyDeposit per event
   //
-  for (G4int k=0; k<MaxAbsor; k++)
+  for (G4int k=0; k<MaxAbsor; k++) {
     energyDeposit[k] = trackLengthCh[k] = 0.0;   
+  }
 }
 
Index: trunk/examples/extended/electromagnetic/TestEm3/src/EventActionMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/src/EventActionMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/src/EventActionMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.cc,v 1.4 2006/06/29 16:52:38 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/src/HistoManager.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/src/HistoManager.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/src/HistoManager.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: HistoManager.cc,v 1.14 2007/11/12 17:04:55 maire Exp $
-// GEANT4 tag $Name:  $
+// $Id: HistoManager.cc,v 1.17 2009/03/04 18:49:17 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -54,6 +54,6 @@
  
   fileName[0] = "testem3";
-  fileType    = "hbook";  
-  fileOption  = "--noErrors uncompress";  
+  fileType    = "root";  
+  fileOption  = "--noErrors export=root uncompress";  
   // histograms
   for (G4int k=0; k<MaxHisto; k++) { 
@@ -241,5 +241,5 @@
 void HistoManager::PrintHisto(G4int ih)
 {
- if (ih < MaxHisto) ascii[ih] = true;
+ if (ih < MaxHisto) { ascii[ih] = true; ascii[0] = true; }
  else
     G4cout << "---> warning from HistoManager::PrintHisto() : histo " << ih
@@ -254,5 +254,7 @@
 {
 #ifdef G4ANALYSIS_USE
- 
+
+ if (!ascii[0]) return;
+  
  G4String name = fileName[0] + ".ascii";
  std::ofstream File(name, std::ios::out);
@@ -267,5 +269,6 @@
       for (G4int iBin=0; iBin<Nbins[ih]; iBin++) {
          File << "  " << iBin << "\t" 
-              << histo[ih]->binMean(iBin) << "\t"
+              << 0.5*(histo[ih]->axis().binLowerEdge(iBin) +
+	              histo[ih]->axis().binUpperEdge(iBin)) << "\t"
 	      << histo[ih]->binHeight(iBin) 
 	      << G4endl;
Index: trunk/examples/extended/electromagnetic/TestEm3/src/HistoMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/src/HistoMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/src/HistoMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoMessenger.cc,v 1.9 2007/11/12 17:04:55 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
